Bug 174029 - CVE-2005-2917 Squid malformed NTLM authentication DoS
Summary: CVE-2005-2917 Squid malformed NTLM authentication DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard: impact=moderate,reported=20050915,pub...
Keywords: Security
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-11-23 21:46 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2006-0045
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:43:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0045 qe-ready SHIPPED_LIVE Moderate: squid security update 2006-03-15 05:00:00 UTC

Description Josh Bressers 2005-11-23 21:46:03 UTC
+++ This bug was initially created as a clone of Bug #168378 +++

This issue comes from upstream:
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE10-NTLM-scheme_assert

It seems that the squid server supports NTLM authentication, it is possible to
crash the squid server.

Comment 1 Josh Bressers 2005-11-23 21:50:58 UTC
I split this bug from bug 168378 and am adding this to the RHEL3U7CanFix list. 
Bug 168378 was on the RHEL3U7CanFix list, but that bug was for RHEL4.

Comment 3 Red Hat Bugzilla 2006-03-15 15:43:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0045.html



Note You need to log in before you can comment on or make changes to this bug.